Merge junitperf 1.9.1-7 (main) from Debian testing (main)

Bug #521390 reported by Artur Rona on 2010-02-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
junitperf (Debian)
Fix Released
Unknown
junitperf (Ubuntu)
Wishlist
Unassigned

Bug Description

 junitperf (1.9.1-7) unstable; urgency=low

   * Corrected Depends to default-jre-headless instead of the
     nonexistent default-java-headless.

 -- Niels Thykier <email address hidden> Tue, 01 Dec 2009 15:08:44 +0100
junitperf (1.9.1-6) unstable; urgency=low

   [ Kumar Appaiah ]
   * Add a watch file.

   [ Niels Thykier ]
   * Added missing ${misc:Depends}.
   * Changed Depends to -headless versions of java.
     - Also added more java alternatives.
   * Stopped using cdbs's simple-patch system - it was not used.
   * Switched to default-jdk from java-gcj-compat.
   * Bumped debhelper compat to 7.
   * Bumped Standards-Version to 3.8.3.
     - Changed section to java.
     - Added Homepage and Vcs-* fields.
   * Added myself to uploaders.
   * Converted to 3.0 (quilt) source.

 -- Niels Thykier <email address hidden> Sat, 21 Nov 2009 12:51:16 +0100

Related branches

Artur Rona (ari-tczew) on 2010-02-13
tags: added: merge
Changed in junitperf (Ubuntu):
status: New → Confirmed
Daniel Holbach (dholbach) wrote :

What is this change necessary for:

+ - debian/control: Runtime depend on headless JREs

-Depends: default-jre-headless | java1-runtime-headless | java2-runtime-headless |
+Depends: default-jre-headless | java2-runtime-headless |

Emmet Hikory (persia) wrote :

Note that the provided patch doesn't match the changelog entry: changes are described in ant.properties that are not changed by the patch.

Thierry Carrez (ttx) on 2010-03-02
Changed in junitperf (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Thierry Carrez (ttx)
Thierry Carrez (ttx) wrote :

@Daniel: I agree that change is not necessary
@Emmet: the patch does match the changelog entry AFAICT

That said, I fail to see anything in the changelog that makes this more than a cosmetic merge (no bug fix), so I don't think it should be merged post-DebianImportFreeze.

Changed in junitperf (Ubuntu):
assignee: Thierry Carrez (ttx) → nobody
importance: Undecided → Wishlist
status: In Progress → Confirmed
Thierry Carrez (ttx) wrote :

Unsubscribing sponsors for now, please resubscribe if you can give a good rationale for a late merge.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package junitperf - 1.9.1-7ubuntu1

---------------
junitperf (1.9.1-7ubuntu1) maverick; urgency=low

  * Merge from Debian testing, remaining changes: (LP: #521390)
    - debian/ant.properties: Force java2 code generation

junitperf (1.9.1-7) unstable; urgency=low

  * Corrected Depends to default-jre-headless instead of the
    nonexistent default-java-headless.

junitperf (1.9.1-6) unstable; urgency=low

  [ Kumar Appaiah ]
  * Add a watch file.

  [ Niels Thykier ]
  * Added missing ${misc:Depends}.
  * Changed Depends to -headless versions of java.
    - Also added more java alternatives.
  * Stopped using cdbs's simple-patch system - it was not used.
  * Switched to default-jdk from java-gcj-compat.
  * Bumped debhelper compat to 7.
  * Bumped Standards-Version to 3.8.3.
    - Changed section to java.
    - Added Homepage and Vcs-* fields.
  * Added myself to uploaders.
  * Converted to 3.0 (quilt) source.
 -- Artur Rona <email address hidden> Thu, 06 May 2010 21:40:02 +0200

Changed in junitperf (Ubuntu):
status: Confirmed → Fix Released
Changed in junitperf (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.